###############################################################################
#
#	Kessok Positron Torpedo
#
#	Created: 18/2/09	By: The_Unknown
#
#	**This torpedo is Real Tech enabled. The draining effect will not work unless Realistic Technology is installed
###############################################################################

import App

###############################################################################
#	Create(pTorp)
#	
#	Creates a photon torpedo.
#	
#	Args:	pTorp - the torpedo, ready to be filled-in
#	
#	Return:	zero
###############################################################################
def Create(pTorp):

	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(235.0 / 255.0, 235.0 / 255.0, 255.0 / 255.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 255.0 / 255.0, 255.0 / 255.0, 1.000000)
	
	# Params are:

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/TUKessokPositronCore.tga",
					kCoreColor, 
					0.13,
					8.0,	 
					"data/textures/tactical/TUKessokPositronGlow.tga", 
					kGlowColor,
					6.0,	
					0.4,	 
					0.6,	
					"data/textures/tactical/TorpedoFlares.tga",
					kGlowColor,										
					14,		
					0.35,		
					0.4)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.25)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.PHOTON)

	return(0)

def GetLaunchSpeed():
	return(12.0)

def GetLaunchSound():
	return("TUKessokPositron")

def GetPowerCost():
	return(20.0)

def GetName():
	return("Positron Pulse")

def GetDamage():
	return 1500.0

def GetGuidanceLifetime():
	return 13.0

def GetMaxAngularAccel():
	return 0.20

def GetLifetime():
	return 20.0
	
def Hyperon():
	return 2
	
def PercentageDamage():
	return 0.15