#####  Created by:
#####  Tactical Display Icon Editor



import App
import GlobalPropertyTemplates

# Local Templates
#################################################
ReactorCore = App.PowerProperty_Create("Reactor Core")

ReactorCore.SetMaxCondition(10000.000000)
ReactorCore.SetCritical(1)
ReactorCore.SetTargetable(1)
ReactorCore.SetPrimary(1)
ReactorCore.SetPosition(0.000000, 0.000000, -10.000000)
ReactorCore.SetPosition2D(64.000000, 55.000000)
ReactorCore.SetRepairComplexity(2.000000)
ReactorCore.SetDisabledPercentage(0.500000)
ReactorCore.SetRadius(5.500000)
ReactorCore.SetMainBatteryLimit(92000.000000)
ReactorCore.SetBackupBatteryLimit(50000.000000)
ReactorCore.SetMainConduitCapacity(57000.000000)
ReactorCore.SetBackupConduitCapacity(10000.000000)
ReactorCore.SetPowerOutput(9500.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ReactorCore)
#################################################
RepairSystem = App.RepairSubsystemProperty_Create("Repair System")

RepairSystem.SetMaxCondition(3000.000000)
RepairSystem.SetCritical(0)
RepairSystem.SetTargetable(1)
RepairSystem.SetPrimary(1)
RepairSystem.SetPosition(0.000000, -6.750000, 3.500000)
RepairSystem.SetPosition2D(42.000000, 41.000000)
RepairSystem.SetRepairComplexity(20.000000)
RepairSystem.SetDisabledPercentage(0.000000)
RepairSystem.SetRadius(0.500000)
RepairSystem.SetNormalPowerPerSecond(50.000000)
RepairSystem.SetMaxRepairPoints(140.000000)
RepairSystem.SetNumRepairTeams(16)
App.g_kModelPropertyManager.RegisterLocalTemplate(RepairSystem)
#################################################
PositronBeams = App.WeaponSystemProperty_Create("Positron Beams")

PositronBeams.SetMaxCondition(9000.000000)
PositronBeams.SetCritical(0)
PositronBeams.SetTargetable(0)
PositronBeams.SetPrimary(1)
PositronBeams.SetPosition(0.000000, 6.750000, 3.500000)
PositronBeams.SetPosition2D(64.000000, 60.000000)
PositronBeams.SetRepairComplexity(7.000000)
PositronBeams.SetDisabledPercentage(0.750000)
PositronBeams.SetRadius(0.300000)
PositronBeams.SetNormalPowerPerSecond(450.000000)
PositronBeams.SetWeaponSystemType(PositronBeams.WST_PHASER)
PositronBeams.SetSingleFire(0)
PositronBeams.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
PositronBeams.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(PositronBeams)
#################################################
Torpedoes = App.TorpedoSystemProperty_Create("Torpedoes")

Torpedoes.SetMaxCondition(5000.000000)
Torpedoes.SetCritical(0)
Torpedoes.SetTargetable(0)
Torpedoes.SetPrimary(1)
Torpedoes.SetPosition(6.700000, 0.000000, 3.000000)
Torpedoes.SetPosition2D(86.000000, 80.000000)
Torpedoes.SetRepairComplexity(3.000000)
Torpedoes.SetDisabledPercentage(0.750000)
Torpedoes.SetRadius(0.250000)
Torpedoes.SetNormalPowerPerSecond(200.000000)
Torpedoes.SetWeaponSystemType(Torpedoes.WST_TORPEDO)
Torpedoes.SetSingleFire(0)
Torpedoes.SetAimedWeapon(1)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
Torpedoes.SetFiringChainString(kFiringChainString)
Torpedoes.SetMaxTorpedoes(0, 500)
Torpedoes.SetTorpedoScript(0, "Tactical.Projectiles.TUKessokPositron")
Torpedoes.SetNumAmmoTypes(1)
App.g_kModelPropertyManager.RegisterLocalTemplate(Torpedoes)
#################################################
CloakingDevice = App.CloakingSubsystemProperty_Create("Cloaking Device")

CloakingDevice.SetMaxCondition(2000.000000)
CloakingDevice.SetCritical(0)
CloakingDevice.SetTargetable(1)
CloakingDevice.SetPrimary(1)
CloakingDevice.SetPosition(0.000000, 0.000000, -10.000000)
CloakingDevice.SetPosition2D(75.000000, 70.000000)
CloakingDevice.SetRepairComplexity(6.000000)
CloakingDevice.SetDisabledPercentage(0.750000)
CloakingDevice.SetRadius(0.500000)
CloakingDevice.SetNormalPowerPerSecond(8000.000000)
CloakingDevice.SetCloakStrength(50.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(CloakingDevice)
#################################################
Launcher1 = App.TorpedoTubeProperty_Create("Launcher 1")

Launcher1.SetMaxCondition(2600.000000)
Launcher1.SetCritical(0)
Launcher1.SetTargetable(1)
Launcher1.SetPrimary(1)
Launcher1.SetPosition(-11.633500, 0.010649, 10.559700)
Launcher1.SetPosition2D(65.000000, 2.000000)
Launcher1.SetRepairComplexity(3.000000)
Launcher1.SetDisabledPercentage(0.750000)
Launcher1.SetRadius(0.300000)
Launcher1.SetDumbfire(1)
Launcher1.SetWeaponID(0)
Launcher1.SetGroups(1)
Launcher1.SetDamageRadiusFactor(0.300000)
Launcher1.SetIconNum(370)
Launcher1.SetIconPositionX(77.000000)
Launcher1.SetIconPositionY(43.000000)
Launcher1.SetIconAboveShip(1)
Launcher1.SetImmediateDelay(0.250000)
Launcher1.SetReloadDelay(40.000000)
Launcher1.SetMaxReady(2)
Launcher1Direction = App.TGPoint3()
Launcher1Direction.SetXYZ(-0.707107, 0.000000, 0.707107)
Launcher1.SetDirection(Launcher1Direction)
Launcher1Right = App.TGPoint3()
Launcher1Right.SetXYZ(1.000000, 0.000000, 0.000000)
Launcher1.SetRight(Launcher1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher1)
#################################################
Launcher2 = App.TorpedoTubeProperty_Create("Launcher 2")

Launcher2.SetMaxCondition(2600.000000)
Launcher2.SetCritical(0)
Launcher2.SetTargetable(1)
Launcher2.SetPrimary(1)
Launcher2.SetPosition(0.015428, -11.661100, 10.545700)
Launcher2.SetPosition2D(131.000000, 63.000000)
Launcher2.SetRepairComplexity(3.000000)
Launcher2.SetDisabledPercentage(0.750000)
Launcher2.SetRadius(0.300000)
Launcher2.SetDumbfire(1)
Launcher2.SetWeaponID(1)
Launcher2.SetGroups(1)
Launcher2.SetDamageRadiusFactor(0.300000)
Launcher2.SetIconNum(370)
Launcher2.SetIconPositionX(114.000000)
Launcher2.SetIconPositionY(82.000000)
Launcher2.SetIconAboveShip(1)
Launcher2.SetImmediateDelay(0.250000)
Launcher2.SetReloadDelay(40.000000)
Launcher2.SetMaxReady(2)
Launcher2Direction = App.TGPoint3()
Launcher2Direction.SetXYZ(0.000000, -0.707107, 0.707107)
Launcher2.SetDirection(Launcher2Direction)
Launcher2Right = App.TGPoint3()
Launcher2Right.SetXYZ(1.000000, 0.000000, 0.000000)
Launcher2.SetRight(Launcher2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher2)
#################################################
Claw1Beam1 = App.PhaserProperty_Create("Claw 1 Beam 1")

Claw1Beam1.SetMaxCondition(1200.000000)
Claw1Beam1.SetCritical(0)
Claw1Beam1.SetTargetable(1)
Claw1Beam1.SetPrimary(1)
Claw1Beam1.SetPosition(-8.390350, -10.653200, 8.946460)
Claw1Beam1.SetPosition2D(93.000000, 19.000000)
Claw1Beam1.SetRepairComplexity(7.000000)
Claw1Beam1.SetDisabledPercentage(0.750000)
Claw1Beam1.SetRadius(0.250000)
Claw1Beam1.SetDumbfire(0)
Claw1Beam1.SetWeaponID(1)
Claw1Beam1.SetGroups(1)
Claw1Beam1.SetDamageRadiusFactor(0.150000)
Claw1Beam1.SetIconNum(364)
Claw1Beam1.SetIconPositionX(82.000000)
Claw1Beam1.SetIconPositionY(37.000000)
Claw1Beam1.SetIconAboveShip(1)
Claw1Beam1.SetFireSound("Kessok Phaser2")
Claw1Beam1.SetMaxCharge(7.000000)
Claw1Beam1.SetMaxDamage(600.000000)
Claw1Beam1.SetMaxDamageDistance(200.000000)
Claw1Beam1.SetMinFiringCharge(4.000000)
Claw1Beam1.SetNormalDischargeRate(1.000000)
Claw1Beam1.SetRechargeRate(1.000000)
Claw1Beam1.SetIndicatorIconNum(510)
Claw1Beam1.SetIndicatorIconPositionX(79.000000)
Claw1Beam1.SetIndicatorIconPositionY(34.000000)
Claw1Beam1Forward = App.TGPoint3()
Claw1Beam1Forward.SetXYZ(0.000000, -1.000000, 0.000000)
Claw1Beam1Up = App.TGPoint3()
Claw1Beam1Up.SetXYZ(0.000000, 0.000000, 1.000000)
Claw1Beam1.SetOrientation(Claw1Beam1Forward, Claw1Beam1Up)
Claw1Beam1.SetWidth(0.010000)
Claw1Beam1.SetLength(0.010000)
Claw1Beam1.SetArcWidthAngles(-0.698132, 0.698132)
Claw1Beam1.SetArcHeightAngles(-0.174533, 0.698132)
Claw1Beam1.SetPhaserTextureStart(24)
Claw1Beam1.SetPhaserTextureEnd(31)
Claw1Beam1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
Claw1Beam1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
Claw1Beam1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
Claw1Beam1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
Claw1Beam1.SetInnerCoreColor(kColor)
Claw1Beam1.SetNumSides(6)
Claw1Beam1.SetMainRadius(0.040000)
Claw1Beam1.SetTaperRadius(0.010000)
Claw1Beam1.SetCoreScale(0.800000)
Claw1Beam1.SetTaperRatio(0.250000)
Claw1Beam1.SetTaperMinLength(5.000000)
Claw1Beam1.SetTaperMaxLength(30.000000)
Claw1Beam1.SetLengthTextureTilePerUnit(0.500000)
Claw1Beam1.SetPerimeterTile(1.000000)
Claw1Beam1.SetTextureSpeed(3.000000)
Claw1Beam1.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Claw1Beam1)
#################################################
Claw1Beam2 = App.PhaserProperty_Create("Claw 1 Beam 2")

Claw1Beam2.SetMaxCondition(1200.000000)
Claw1Beam2.SetCritical(0)
Claw1Beam2.SetTargetable(1)
Claw1Beam2.SetPrimary(1)
Claw1Beam2.SetPosition(8.241650, -10.670900, 8.953810)
Claw1Beam2.SetPosition2D(109.000000, 34.000000)
Claw1Beam2.SetRepairComplexity(7.000000)
Claw1Beam2.SetDisabledPercentage(0.750000)
Claw1Beam2.SetRadius(0.250000)
Claw1Beam2.SetDumbfire(0)
Claw1Beam2.SetWeaponID(2)
Claw1Beam2.SetGroups(1)
Claw1Beam2.SetDamageRadiusFactor(0.150000)
Claw1Beam2.SetIconNum(364)
Claw1Beam2.SetIconPositionX(83.000000)
Claw1Beam2.SetIconPositionY(22.000000)
Claw1Beam2.SetIconAboveShip(1)
Claw1Beam2.SetFireSound("Kessok Phaser2")
Claw1Beam2.SetMaxCharge(7.000000)
Claw1Beam2.SetMaxDamage(600.000000)
Claw1Beam2.SetMaxDamageDistance(200.000000)
Claw1Beam2.SetMinFiringCharge(4.000000)
Claw1Beam2.SetNormalDischargeRate(1.000000)
Claw1Beam2.SetRechargeRate(1.000000)
Claw1Beam2.SetIndicatorIconNum(510)
Claw1Beam2.SetIndicatorIconPositionX(77.000000)
Claw1Beam2.SetIndicatorIconPositionY(17.000000)
Claw1Beam2Forward = App.TGPoint3()
Claw1Beam2Forward.SetXYZ(0.000000, -1.000000, 0.000000)
Claw1Beam2Up = App.TGPoint3()
Claw1Beam2Up.SetXYZ(0.000000, 0.000000, 1.000000)
Claw1Beam2.SetOrientation(Claw1Beam2Forward, Claw1Beam2Up)
Claw1Beam2.SetWidth(0.010000)
Claw1Beam2.SetLength(0.010000)
Claw1Beam2.SetArcWidthAngles(-0.698132, 0.698132)
Claw1Beam2.SetArcHeightAngles(-0.174533, 0.698132)
Claw1Beam2.SetPhaserTextureStart(24)
Claw1Beam2.SetPhaserTextureEnd(31)
Claw1Beam2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
Claw1Beam2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
Claw1Beam2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
Claw1Beam2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
Claw1Beam2.SetInnerCoreColor(kColor)
Claw1Beam2.SetNumSides(6)
Claw1Beam2.SetMainRadius(0.040000)
Claw1Beam2.SetTaperRadius(0.010000)
Claw1Beam2.SetCoreScale(0.800000)
Claw1Beam2.SetTaperRatio(0.250000)
Claw1Beam2.SetTaperMinLength(5.000000)
Claw1Beam2.SetTaperMaxLength(30.000000)
Claw1Beam2.SetLengthTextureTilePerUnit(0.500000)
Claw1Beam2.SetPerimeterTile(1.000000)
Claw1Beam2.SetTextureSpeed(3.000000)
Claw1Beam2.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Claw1Beam2)
#################################################
Claw2Beam1 = App.PhaserProperty_Create("Claw 2 Beam 1")

Claw2Beam1.SetMaxCondition(1200.000000)
Claw2Beam1.SetCritical(0)
Claw2Beam1.SetTargetable(1)
Claw2Beam1.SetPrimary(1)
Claw2Beam1.SetPosition(10.654700, -8.385840, 8.947160)
Claw2Beam1.SetPosition2D(108.000000, 84.000000)
Claw2Beam1.SetRepairComplexity(7.000000)
Claw2Beam1.SetDisabledPercentage(0.750000)
Claw2Beam1.SetRadius(0.300000)
Claw2Beam1.SetDumbfire(0)
Claw2Beam1.SetWeaponID(3)
Claw2Beam1.SetGroups(0)
Claw2Beam1.SetDamageRadiusFactor(0.100000)
Claw2Beam1.SetIconNum(364)
Claw2Beam1.SetIconPositionX(46.000000)
Claw2Beam1.SetIconPositionY(36.000000)
Claw2Beam1.SetIconAboveShip(0)
Claw2Beam1.SetFireSound("Kessok Phaser2")
Claw2Beam1.SetMaxCharge(7.000000)
Claw2Beam1.SetMaxDamage(600.000000)
Claw2Beam1.SetMaxDamageDistance(200.000000)
Claw2Beam1.SetMinFiringCharge(4.000000)
Claw2Beam1.SetNormalDischargeRate(1.000000)
Claw2Beam1.SetRechargeRate(1.000000)
Claw2Beam1.SetIndicatorIconNum(510)
Claw2Beam1.SetIndicatorIconPositionX(42.000000)
Claw2Beam1.SetIndicatorIconPositionY(32.000000)
Claw2Beam1Forward = App.TGPoint3()
Claw2Beam1Forward.SetXYZ(1.000000, 0.000000, 0.000000)
Claw2Beam1Up = App.TGPoint3()
Claw2Beam1Up.SetXYZ(0.000000, 0.000000, 1.000000)
Claw2Beam1.SetOrientation(Claw2Beam1Forward, Claw2Beam1Up)
Claw2Beam1.SetWidth(0.010000)
Claw2Beam1.SetLength(0.010000)
Claw2Beam1.SetArcWidthAngles(0.698132, -0.698132)
Claw2Beam1.SetArcHeightAngles(-0.174533, 0.698132)
Claw2Beam1.SetPhaserTextureStart(24)
Claw2Beam1.SetPhaserTextureEnd(31)
Claw2Beam1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
Claw2Beam1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
Claw2Beam1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 0.937255, 1.000000, 0.749020)
Claw2Beam1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.074510, 1.000000, 1.000000, 0.784314)
Claw2Beam1.SetInnerCoreColor(kColor)
Claw2Beam1.SetNumSides(6)
Claw2Beam1.SetMainRadius(0.040000)
Claw2Beam1.SetTaperRadius(0.010000)
Claw2Beam1.SetCoreScale(0.800000)
Claw2Beam1.SetTaperRatio(0.250000)
Claw2Beam1.SetTaperMinLength(5.000000)
Claw2Beam1.SetTaperMaxLength(30.000000)
Claw2Beam1.SetLengthTextureTilePerUnit(0.500000)
Claw2Beam1.SetPerimeterTile(1.000000)
Claw2Beam1.SetTextureSpeed(3.000000)
Claw2Beam1.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Claw2Beam1)
#################################################
Claw2Beam2 = App.PhaserProperty_Create("Claw 2 Beam 2")

Claw2Beam2.SetMaxCondition(1200.000000)
Claw2Beam2.SetCritical(0)
Claw2Beam2.SetTargetable(1)
Claw2Beam2.SetPrimary(1)
Claw2Beam2.SetPosition(10.672400, 8.201350, 8.953980)
Claw2Beam2.SetPosition2D(90.000000, 100.000000)
Claw2Beam2.SetRepairComplexity(7.000000)
Claw2Beam2.SetDisabledPercentage(0.750000)
Claw2Beam2.SetRadius(0.300000)
Claw2Beam2.SetDumbfire(0)
Claw2Beam2.SetWeaponID(3)
Claw2Beam2.SetGroups(0)
Claw2Beam2.SetDamageRadiusFactor(0.100000)
Claw2Beam2.SetIconNum(364)
Claw2Beam2.SetIconPositionX(45.000000)
Claw2Beam2.SetIconPositionY(21.000000)
Claw2Beam2.SetIconAboveShip(0)
Claw2Beam2.SetFireSound("Kessok Phaser2")
Claw2Beam2.SetMaxCharge(7.000000)
Claw2Beam2.SetMaxDamage(600.000000)
Claw2Beam2.SetMaxDamageDistance(200.000000)
Claw2Beam2.SetMinFiringCharge(4.000000)
Claw2Beam2.SetNormalDischargeRate(1.000000)
Claw2Beam2.SetRechargeRate(1.000000)
Claw2Beam2.SetIndicatorIconNum(510)
Claw2Beam2.SetIndicatorIconPositionX(41.000000)
Claw2Beam2.SetIndicatorIconPositionY(15.000000)
Claw2Beam2Forward = App.TGPoint3()
Claw2Beam2Forward.SetXYZ(1.000000, 0.000000, 0.000000)
Claw2Beam2Up = App.TGPoint3()
Claw2Beam2Up.SetXYZ(0.000000, 0.000000, 1.000000)
Claw2Beam2.SetOrientation(Claw2Beam2Forward, Claw2Beam2Up)
Claw2Beam2.SetWidth(0.010000)
Claw2Beam2.SetLength(0.010000)
Claw2Beam2.SetArcWidthAngles(-0.698132, 0.698132)
Claw2Beam2.SetArcHeightAngles(-0.174533, 0.698132)
Claw2Beam2.SetPhaserTextureStart(24)
Claw2Beam2.SetPhaserTextureEnd(31)
Claw2Beam2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
Claw2Beam2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
Claw2Beam2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 0.937255, 1.000000, 0.749020)
Claw2Beam2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.074510, 1.000000, 1.000000, 0.784314)
Claw2Beam2.SetInnerCoreColor(kColor)
Claw2Beam2.SetNumSides(6)
Claw2Beam2.SetMainRadius(0.040000)
Claw2Beam2.SetTaperRadius(0.010000)
Claw2Beam2.SetCoreScale(0.800000)
Claw2Beam2.SetTaperRatio(0.250000)
Claw2Beam2.SetTaperMinLength(5.000000)
Claw2Beam2.SetTaperMaxLength(30.000000)
Claw2Beam2.SetLengthTextureTilePerUnit(0.500000)
Claw2Beam2.SetPerimeterTile(1.000000)
Claw2Beam2.SetTextureSpeed(3.000000)
Claw2Beam2.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Claw2Beam2)
#################################################
Claw3Beam1 = App.PhaserProperty_Create("Claw 3 Beam 1")

Claw3Beam1.SetMaxCondition(1200.000000)
Claw3Beam1.SetCritical(0)
Claw3Beam1.SetTargetable(1)
Claw3Beam1.SetPrimary(1)
Claw3Beam1.SetPosition(8.381370, 10.656200, 8.940860)
Claw3Beam1.SetPosition2D(38.000000, 101.000000)
Claw3Beam1.SetRepairComplexity(7.000000)
Claw3Beam1.SetDisabledPercentage(0.750000)
Claw3Beam1.SetRadius(0.300000)
Claw3Beam1.SetDumbfire(0)
Claw3Beam1.SetWeaponID(3)
Claw3Beam1.SetGroups(0)
Claw3Beam1.SetDamageRadiusFactor(0.100000)
Claw3Beam1.SetIconNum(363)
Claw3Beam1.SetIconPositionX(48.000000)
Claw3Beam1.SetIconPositionY(114.000000)
Claw3Beam1.SetIconAboveShip(1)
Claw3Beam1.SetFireSound("Kessok Phaser2")
Claw3Beam1.SetMaxCharge(7.000000)
Claw3Beam1.SetMaxDamage(600.000000)
Claw3Beam1.SetMaxDamageDistance(200.000000)
Claw3Beam1.SetMinFiringCharge(4.000000)
Claw3Beam1.SetNormalDischargeRate(1.000000)
Claw3Beam1.SetRechargeRate(1.000000)
Claw3Beam1.SetIndicatorIconNum(511)
Claw3Beam1.SetIndicatorIconPositionX(43.000000)
Claw3Beam1.SetIndicatorIconPositionY(109.000000)
Claw3Beam1Forward = App.TGPoint3()
Claw3Beam1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Claw3Beam1Up = App.TGPoint3()
Claw3Beam1Up.SetXYZ(0.000000, 0.000000, 1.000000)
Claw3Beam1.SetOrientation(Claw3Beam1Forward, Claw3Beam1Up)
Claw3Beam1.SetWidth(0.010000)
Claw3Beam1.SetLength(0.010000)
Claw3Beam1.SetArcWidthAngles(0.698132, -0.698132)
Claw3Beam1.SetArcHeightAngles(-0.174533, 0.698132)
Claw3Beam1.SetPhaserTextureStart(24)
Claw3Beam1.SetPhaserTextureEnd(31)
Claw3Beam1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
Claw3Beam1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
Claw3Beam1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 0.937255, 1.000000, 0.749020)
Claw3Beam1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.074510, 1.000000, 1.000000, 0.784314)
Claw3Beam1.SetInnerCoreColor(kColor)
Claw3Beam1.SetNumSides(6)
Claw3Beam1.SetMainRadius(0.040000)
Claw3Beam1.SetTaperRadius(0.010000)
Claw3Beam1.SetCoreScale(0.800000)
Claw3Beam1.SetTaperRatio(0.250000)
Claw3Beam1.SetTaperMinLength(5.000000)
Claw3Beam1.SetTaperMaxLength(30.000000)
Claw3Beam1.SetLengthTextureTilePerUnit(0.500000)
Claw3Beam1.SetPerimeterTile(1.000000)
Claw3Beam1.SetTextureSpeed(3.000000)
Claw3Beam1.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Claw3Beam1)
#################################################
Claw3Beam2 = App.PhaserProperty_Create("Claw 3 Beam 2")

Claw3Beam2.SetMaxCondition(1200.000000)
Claw3Beam2.SetCritical(0)
Claw3Beam2.SetTargetable(1)
Claw3Beam2.SetPrimary(1)
Claw3Beam2.SetPosition(-8.260300, 10.670200, 8.938600)
Claw3Beam2.SetPosition2D(19.000000, 82.000000)
Claw3Beam2.SetRepairComplexity(7.000000)
Claw3Beam2.SetDisabledPercentage(0.750000)
Claw3Beam2.SetRadius(0.300000)
Claw3Beam2.SetDumbfire(0)
Claw3Beam2.SetWeaponID(3)
Claw3Beam2.SetGroups(0)
Claw3Beam2.SetDamageRadiusFactor(0.100000)
Claw3Beam2.SetIconNum(363)
Claw3Beam2.SetIconPositionX(47.000000)
Claw3Beam2.SetIconPositionY(125.000000)
Claw3Beam2.SetIconAboveShip(1)
Claw3Beam2.SetFireSound("Kessok Phaser2")
Claw3Beam2.SetMaxCharge(7.000000)
Claw3Beam2.SetMaxDamage(600.000000)
Claw3Beam2.SetMaxDamageDistance(200.000000)
Claw3Beam2.SetMinFiringCharge(4.000000)
Claw3Beam2.SetNormalDischargeRate(1.000000)
Claw3Beam2.SetRechargeRate(1.000000)
Claw3Beam2.SetIndicatorIconNum(511)
Claw3Beam2.SetIndicatorIconPositionX(42.000000)
Claw3Beam2.SetIndicatorIconPositionY(119.000000)
Claw3Beam2Forward = App.TGPoint3()
Claw3Beam2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
Claw3Beam2Up = App.TGPoint3()
Claw3Beam2Up.SetXYZ(0.000000, 0.000000, 1.000000)
Claw3Beam2.SetOrientation(Claw3Beam2Forward, Claw3Beam2Up)
Claw3Beam2.SetWidth(0.010000)
Claw3Beam2.SetLength(0.010000)
Claw3Beam2.SetArcWidthAngles(-0.698132, 0.698132)
Claw3Beam2.SetArcHeightAngles(-0.174533, 0.698132)
Claw3Beam2.SetPhaserTextureStart(24)
Claw3Beam2.SetPhaserTextureEnd(31)
Claw3Beam2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
Claw3Beam2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
Claw3Beam2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 0.937255, 1.000000, 0.749020)
Claw3Beam2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.074510, 1.000000, 1.000000, 0.784314)
Claw3Beam2.SetInnerCoreColor(kColor)
Claw3Beam2.SetNumSides(6)
Claw3Beam2.SetMainRadius(0.040000)
Claw3Beam2.SetTaperRadius(0.010000)
Claw3Beam2.SetCoreScale(0.800000)
Claw3Beam2.SetTaperRatio(0.250000)
Claw3Beam2.SetTaperMinLength(5.000000)
Claw3Beam2.SetTaperMaxLength(30.000000)
Claw3Beam2.SetLengthTextureTilePerUnit(0.500000)
Claw3Beam2.SetPerimeterTile(1.000000)
Claw3Beam2.SetTextureSpeed(3.000000)
Claw3Beam2.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Claw3Beam2)
#################################################
KessokStation = App.ShipProperty_Create("KessokStation")

KessokStation.SetGenus(1)
KessokStation.SetSpecies(501)
KessokStation.SetMass(500.000000)
KessokStation.SetRotationalInertia(49999998976.000000)
KessokStation.SetShipName("Kessok Space Station")
KessokStation.SetModelFilename("data/Models/Bases/KessokStation/KessokStation.nif")
KessokStation.SetDamageResolution(15.000000)
KessokStation.SetAffiliation(0)
KessokStation.SetStationary(1)
KessokStation.SetAIString("StarbaseAttack")
KessokStation.SetDeathExplosionSound("g_lsBigDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(KessokStation)
#################################################
Claw4Beam1 = App.PhaserProperty_Create("Claw 4 Beam 1")

Claw4Beam1.SetMaxCondition(1200.000000)
Claw4Beam1.SetCritical(0)
Claw4Beam1.SetTargetable(1)
Claw4Beam1.SetPrimary(1)
Claw4Beam1.SetPosition(-10.650300, 8.398900, 8.921850)
Claw4Beam1.SetPosition2D(18.000000, 36.000000)
Claw4Beam1.SetRepairComplexity(7.000000)
Claw4Beam1.SetDisabledPercentage(0.750000)
Claw4Beam1.SetRadius(0.250000)
Claw4Beam1.SetDumbfire(0)
Claw4Beam1.SetWeaponID(1)
Claw4Beam1.SetGroups(1)
Claw4Beam1.SetDamageRadiusFactor(0.150000)
Claw4Beam1.SetIconNum(363)
Claw4Beam1.SetIconPositionX(80.000000)
Claw4Beam1.SetIconPositionY(114.000000)
Claw4Beam1.SetIconAboveShip(1)
Claw4Beam1.SetFireSound("Kessok Phaser2")
Claw4Beam1.SetMaxCharge(7.000000)
Claw4Beam1.SetMaxDamage(600.000000)
Claw4Beam1.SetMaxDamageDistance(200.000000)
Claw4Beam1.SetMinFiringCharge(4.000000)
Claw4Beam1.SetNormalDischargeRate(1.000000)
Claw4Beam1.SetRechargeRate(1.000000)
Claw4Beam1.SetIndicatorIconNum(511)
Claw4Beam1.SetIndicatorIconPositionX(76.000000)
Claw4Beam1.SetIndicatorIconPositionY(108.000000)
Claw4Beam1Forward = App.TGPoint3()
Claw4Beam1Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
Claw4Beam1Up = App.TGPoint3()
Claw4Beam1Up.SetXYZ(0.000000, 0.000000, 1.000000)
Claw4Beam1.SetOrientation(Claw4Beam1Forward, Claw4Beam1Up)
Claw4Beam1.SetWidth(0.010000)
Claw4Beam1.SetLength(0.010000)
Claw4Beam1.SetArcWidthAngles(-0.698132, 0.698132)
Claw4Beam1.SetArcHeightAngles(-0.174533, 0.698132)
Claw4Beam1.SetPhaserTextureStart(24)
Claw4Beam1.SetPhaserTextureEnd(31)
Claw4Beam1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
Claw4Beam1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
Claw4Beam1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
Claw4Beam1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
Claw4Beam1.SetInnerCoreColor(kColor)
Claw4Beam1.SetNumSides(6)
Claw4Beam1.SetMainRadius(0.040000)
Claw4Beam1.SetTaperRadius(0.010000)
Claw4Beam1.SetCoreScale(0.800000)
Claw4Beam1.SetTaperRatio(0.250000)
Claw4Beam1.SetTaperMinLength(5.000000)
Claw4Beam1.SetTaperMaxLength(30.000000)
Claw4Beam1.SetLengthTextureTilePerUnit(0.500000)
Claw4Beam1.SetPerimeterTile(1.000000)
Claw4Beam1.SetTextureSpeed(3.000000)
Claw4Beam1.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Claw4Beam1)
#################################################
Claw4Beam2 = App.PhaserProperty_Create("Claw 4 Beam 2")

Claw4Beam2.SetMaxCondition(1200.000000)
Claw4Beam2.SetCritical(0)
Claw4Beam2.SetTargetable(1)
Claw4Beam2.SetPrimary(1)
Claw4Beam2.SetPosition(-10.671600, -8.223300, 8.949010)
Claw4Beam2.SetPosition2D(38.000000, 20.000000)
Claw4Beam2.SetRepairComplexity(7.000000)
Claw4Beam2.SetDisabledPercentage(0.750000)
Claw4Beam2.SetRadius(0.250000)
Claw4Beam2.SetDumbfire(0)
Claw4Beam2.SetWeaponID(1)
Claw4Beam2.SetGroups(1)
Claw4Beam2.SetDamageRadiusFactor(0.150000)
Claw4Beam2.SetIconNum(363)
Claw4Beam2.SetIconPositionX(80.000000)
Claw4Beam2.SetIconPositionY(126.000000)
Claw4Beam2.SetIconAboveShip(1)
Claw4Beam2.SetFireSound("Kessok Phaser2")
Claw4Beam2.SetMaxCharge(7.000000)
Claw4Beam2.SetMaxDamage(600.000000)
Claw4Beam2.SetMaxDamageDistance(200.000000)
Claw4Beam2.SetMinFiringCharge(4.000000)
Claw4Beam2.SetNormalDischargeRate(1.000000)
Claw4Beam2.SetRechargeRate(1.000000)
Claw4Beam2.SetIndicatorIconNum(511)
Claw4Beam2.SetIndicatorIconPositionX(75.000000)
Claw4Beam2.SetIndicatorIconPositionY(121.000000)
Claw4Beam2Forward = App.TGPoint3()
Claw4Beam2Forward.SetXYZ(-1.000000, 0.000000, 0.000000)
Claw4Beam2Up = App.TGPoint3()
Claw4Beam2Up.SetXYZ(0.000000, 0.000000, 1.000000)
Claw4Beam2.SetOrientation(Claw4Beam2Forward, Claw4Beam2Up)
Claw4Beam2.SetWidth(0.010000)
Claw4Beam2.SetLength(0.010000)
Claw4Beam2.SetArcWidthAngles(-0.698132, 0.698132)
Claw4Beam2.SetArcHeightAngles(-0.174533, 0.698132)
Claw4Beam2.SetPhaserTextureStart(24)
Claw4Beam2.SetPhaserTextureEnd(31)
Claw4Beam2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
Claw4Beam2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
Claw4Beam2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
Claw4Beam2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
Claw4Beam2.SetInnerCoreColor(kColor)
Claw4Beam2.SetNumSides(6)
Claw4Beam2.SetMainRadius(0.040000)
Claw4Beam2.SetTaperRadius(0.010000)
Claw4Beam2.SetCoreScale(0.800000)
Claw4Beam2.SetTaperRatio(0.250000)
Claw4Beam2.SetTaperMinLength(5.000000)
Claw4Beam2.SetTaperMaxLength(30.000000)
Claw4Beam2.SetLengthTextureTilePerUnit(0.500000)
Claw4Beam2.SetPerimeterTile(1.000000)
Claw4Beam2.SetTextureSpeed(3.000000)
Claw4Beam2.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(Claw4Beam2)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.000000, 2.200000, -0.100000)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.000000, -3.000000, -0.100000)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(0.000000, 2.200000, -0.100000)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(0.000000, 2.200000, -0.100000)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.000000, 2.200000, -0.100000)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.000000, 2.200000, -0.800000)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPersonCamera = App.PositionOrientationProperty_Create("FirstPersonCamera")

FirstPersonCameraForward = App.TGPoint3()
FirstPersonCameraForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonCameraUp = App.TGPoint3()
FirstPersonCameraUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonCameraRight = App.TGPoint3()
FirstPersonCameraRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPersonCamera.SetOrientation(FirstPersonCameraForward, FirstPersonCameraUp, FirstPersonCameraRight)
FirstPersonCameraPosition = App.TGPoint3()
FirstPersonCameraPosition.SetXYZ(0.000000, 2.200000, -0.100000)
FirstPersonCamera.SetPosition(FirstPersonCameraPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPersonCamera)
#################################################
TractorSystem = App.WeaponSystemProperty_Create("Tractor System")

TractorSystem.SetMaxCondition(3500.000000)
TractorSystem.SetCritical(0)
TractorSystem.SetTargetable(1)
TractorSystem.SetPrimary(1)
TractorSystem.SetPosition(0.000000, 0.000000, -13.000000)
TractorSystem.SetPosition2D(75.000000, 46.000000)
TractorSystem.SetRepairComplexity(1.000000)
TractorSystem.SetDisabledPercentage(0.720000)
TractorSystem.SetRadius(0.250000)
TractorSystem.SetNormalPowerPerSecond(1.000000)
TractorSystem.SetWeaponSystemType(TractorSystem.WST_TRACTOR)
TractorSystem.SetSingleFire(1)
TractorSystem.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
TractorSystem.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorSystem)
#################################################
TractorBeam = App.TractorBeamProperty_Create("Tractor Beam")

TractorBeam.SetMaxCondition(200.000000)
TractorBeam.SetCritical(0)
TractorBeam.SetTargetable(1)
TractorBeam.SetPrimary(1)
TractorBeam.SetPosition(0.000000, 0.000000, -13.500000)
TractorBeam.SetPosition2D(45.000000, 58.000000)
TractorBeam.SetRepairComplexity(1.000000)
TractorBeam.SetDisabledPercentage(0.500000)
TractorBeam.SetRadius(0.250000)
TractorBeam.SetDumbfire(0)
TractorBeam.SetWeaponID(0)
TractorBeam.SetGroups(0)
TractorBeam.SetDamageRadiusFactor(0.300000)
TractorBeam.SetIconNum(0)
TractorBeam.SetIconPositionX(0.000000)
TractorBeam.SetIconPositionY(0.000000)
TractorBeam.SetIconAboveShip(1)
TractorBeam.SetFireSound("")
TractorBeam.SetMaxCharge(5.000000)
TractorBeam.SetMaxDamage(25.000000)
TractorBeam.SetMaxDamageDistance(100.000000)
TractorBeam.SetMinFiringCharge(3.000000)
TractorBeam.SetNormalDischargeRate(1.000000)
TractorBeam.SetRechargeRate(0.300000)
TractorBeam.SetIndicatorIconNum(0)
TractorBeam.SetIndicatorIconPositionX(0.000000)
TractorBeam.SetIndicatorIconPositionY(0.000000)
TractorBeamForward = App.TGPoint3()
TractorBeamForward.SetXYZ(0.000000, 0.000000, -1.000000)
TractorBeamUp = App.TGPoint3()
TractorBeamUp.SetXYZ(0.000000, 1.000000, 0.000000)
TractorBeam.SetOrientation(TractorBeamForward, TractorBeamUp)
TractorBeam.SetArcWidthAngles(-0.349066, 0.349066)
TractorBeam.SetArcHeightAngles(-0.349066, 0.349066)
TractorBeam.SetTractorBeamWidth(0.300000)
TractorBeam.SetTextureStart(0)
TractorBeam.SetTextureEnd(0)
TractorBeam.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
TractorBeam.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
TractorBeam.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
TractorBeam.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
TractorBeam.SetInnerCoreColor(kColor)
TractorBeam.SetNumSides(12)
TractorBeam.SetMainRadius(0.075000)
TractorBeam.SetTaperRadius(0.000000)
TractorBeam.SetCoreScale(0.450000)
TractorBeam.SetTaperRatio(0.200000)
TractorBeam.SetTaperMinLength(1.000000)
TractorBeam.SetTaperMaxLength(5.000000)
TractorBeam.SetLengthTextureTilePerUnit(0.250000)
TractorBeam.SetPerimeterTile(1.000000)
TractorBeam.SetTextureSpeed(0.200000)
TractorBeam.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(TractorBeam)
#################################################
VentralBeam1 = App.PhaserProperty_Create("Ventral Beam 1")

VentralBeam1.SetMaxCondition(1200.000000)
VentralBeam1.SetCritical(0)
VentralBeam1.SetTargetable(1)
VentralBeam1.SetPrimary(1)
VentralBeam1.SetPosition(-7.958850, -7.874760, 8.402050)
VentralBeam1.SetPosition2D(112.000000, 11.000000)
VentralBeam1.SetRepairComplexity(7.000000)
VentralBeam1.SetDisabledPercentage(0.750000)
VentralBeam1.SetRadius(0.250000)
VentralBeam1.SetDumbfire(0)
VentralBeam1.SetWeaponID(1)
VentralBeam1.SetGroups(1)
VentralBeam1.SetDamageRadiusFactor(0.150000)
VentralBeam1.SetIconNum(361)
VentralBeam1.SetIconPositionX(31.000000)
VentralBeam1.SetIconPositionY(63.000000)
VentralBeam1.SetIconAboveShip(1)
VentralBeam1.SetFireSound("Kessok Phaser2")
VentralBeam1.SetMaxCharge(7.000000)
VentralBeam1.SetMaxDamage(600.000000)
VentralBeam1.SetMaxDamageDistance(200.000000)
VentralBeam1.SetMinFiringCharge(4.000000)
VentralBeam1.SetNormalDischargeRate(1.000000)
VentralBeam1.SetRechargeRate(1.000000)
VentralBeam1.SetIndicatorIconNum(508)
VentralBeam1.SetIndicatorIconPositionX(28.000000)
VentralBeam1.SetIndicatorIconPositionY(63.000000)
VentralBeam1Forward = App.TGPoint3()
VentralBeam1Forward.SetXYZ(0.000000, 0.000000, -1.000000)
VentralBeam1Up = App.TGPoint3()
VentralBeam1Up.SetXYZ(-0.707107, -0.707107, 0.000000)
VentralBeam1.SetOrientation(VentralBeam1Forward, VentralBeam1Up)
VentralBeam1.SetWidth(0.010000)
VentralBeam1.SetLength(0.010000)
VentralBeam1.SetArcWidthAngles(-0.610865, 0.610865)
VentralBeam1.SetArcHeightAngles(1.047198, -0.174533)
VentralBeam1.SetPhaserTextureStart(24)
VentralBeam1.SetPhaserTextureEnd(31)
VentralBeam1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
VentralBeam1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
VentralBeam1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
VentralBeam1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
VentralBeam1.SetInnerCoreColor(kColor)
VentralBeam1.SetNumSides(6)
VentralBeam1.SetMainRadius(0.040000)
VentralBeam1.SetTaperRadius(0.010000)
VentralBeam1.SetCoreScale(0.800000)
VentralBeam1.SetTaperRatio(0.250000)
VentralBeam1.SetTaperMinLength(5.000000)
VentralBeam1.SetTaperMaxLength(30.000000)
VentralBeam1.SetLengthTextureTilePerUnit(0.500000)
VentralBeam1.SetPerimeterTile(1.000000)
VentralBeam1.SetTextureSpeed(3.000000)
VentralBeam1.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralBeam1)
#################################################
VentralBeam2 = App.PhaserProperty_Create("Ventral Beam 2")

VentralBeam2.SetMaxCondition(1200.000000)
VentralBeam2.SetCritical(0)
VentralBeam2.SetTargetable(1)
VentralBeam2.SetPrimary(1)
VentralBeam2.SetPosition(7.894160, -8.052050, 8.402050)
VentralBeam2.SetPosition2D(109.000000, 111.000000)
VentralBeam2.SetRepairComplexity(7.000000)
VentralBeam2.SetDisabledPercentage(0.750000)
VentralBeam2.SetRadius(0.250000)
VentralBeam2.SetDumbfire(0)
VentralBeam2.SetWeaponID(1)
VentralBeam2.SetGroups(1)
VentralBeam2.SetDamageRadiusFactor(0.150000)
VentralBeam2.SetIconNum(361)
VentralBeam2.SetIconPositionX(11.000000)
VentralBeam2.SetIconPositionY(62.000000)
VentralBeam2.SetIconAboveShip(1)
VentralBeam2.SetFireSound("Kessok Phaser2")
VentralBeam2.SetMaxCharge(7.000000)
VentralBeam2.SetMaxDamage(600.000000)
VentralBeam2.SetMaxDamageDistance(200.000000)
VentralBeam2.SetMinFiringCharge(4.000000)
VentralBeam2.SetNormalDischargeRate(1.000000)
VentralBeam2.SetRechargeRate(1.000000)
VentralBeam2.SetIndicatorIconNum(508)
VentralBeam2.SetIndicatorIconPositionX(8.000000)
VentralBeam2.SetIndicatorIconPositionY(62.000000)
VentralBeam2Forward = App.TGPoint3()
VentralBeam2Forward.SetXYZ(0.000000, 0.000000, -1.000000)
VentralBeam2Up = App.TGPoint3()
VentralBeam2Up.SetXYZ(-0.707107, 0.707107, 0.000000)
VentralBeam2.SetOrientation(VentralBeam2Forward, VentralBeam2Up)
VentralBeam2.SetWidth(0.010000)
VentralBeam2.SetLength(0.010000)
VentralBeam2.SetArcWidthAngles(-0.610865, 0.610865)
VentralBeam2.SetArcHeightAngles(0.174533, -1.047198)
VentralBeam2.SetPhaserTextureStart(24)
VentralBeam2.SetPhaserTextureEnd(31)
VentralBeam2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
VentralBeam2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
VentralBeam2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
VentralBeam2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
VentralBeam2.SetInnerCoreColor(kColor)
VentralBeam2.SetNumSides(6)
VentralBeam2.SetMainRadius(0.040000)
VentralBeam2.SetTaperRadius(0.010000)
VentralBeam2.SetCoreScale(0.800000)
VentralBeam2.SetTaperRatio(0.250000)
VentralBeam2.SetTaperMinLength(5.000000)
VentralBeam2.SetTaperMaxLength(30.000000)
VentralBeam2.SetLengthTextureTilePerUnit(0.500000)
VentralBeam2.SetPerimeterTile(1.000000)
VentralBeam2.SetTextureSpeed(3.000000)
VentralBeam2.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralBeam2)
#################################################
VentralBeam3 = App.PhaserProperty_Create("Ventral Beam 3")

VentralBeam3.SetMaxCondition(1200.000000)
VentralBeam3.SetCritical(0)
VentralBeam3.SetTargetable(1)
VentralBeam3.SetPrimary(1)
VentralBeam3.SetPosition(7.978390, 7.880160, 8.402050)
VentralBeam3.SetPosition2D(15.000000, 107.000000)
VentralBeam3.SetRepairComplexity(7.000000)
VentralBeam3.SetDisabledPercentage(0.750000)
VentralBeam3.SetRadius(0.250000)
VentralBeam3.SetDumbfire(0)
VentralBeam3.SetWeaponID(1)
VentralBeam3.SetGroups(1)
VentralBeam3.SetDamageRadiusFactor(0.150000)
VentralBeam3.SetIconNum(362)
VentralBeam3.SetIconPositionX(114.000000)
VentralBeam3.SetIconPositionY(65.000000)
VentralBeam3.SetIconAboveShip(1)
VentralBeam3.SetFireSound("Kessok Phaser2")
VentralBeam3.SetMaxCharge(7.000000)
VentralBeam3.SetMaxDamage(600.000000)
VentralBeam3.SetMaxDamageDistance(200.000000)
VentralBeam3.SetMinFiringCharge(4.000000)
VentralBeam3.SetNormalDischargeRate(1.000000)
VentralBeam3.SetRechargeRate(1.000000)
VentralBeam3.SetIndicatorIconNum(509)
VentralBeam3.SetIndicatorIconPositionX(116.000000)
VentralBeam3.SetIndicatorIconPositionY(65.000000)
VentralBeam3Forward = App.TGPoint3()
VentralBeam3Forward.SetXYZ(0.000000, 0.000000, -1.000000)
VentralBeam3Up = App.TGPoint3()
VentralBeam3Up.SetXYZ(0.707107, 0.707107, 0.000000)
VentralBeam3.SetOrientation(VentralBeam3Forward, VentralBeam3Up)
VentralBeam3.SetWidth(0.010000)
VentralBeam3.SetLength(0.010000)
VentralBeam3.SetArcWidthAngles(-0.610865, 0.610865)
VentralBeam3.SetArcHeightAngles(1.047198, -0.174533)
VentralBeam3.SetPhaserTextureStart(24)
VentralBeam3.SetPhaserTextureEnd(31)
VentralBeam3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
VentralBeam3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
VentralBeam3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
VentralBeam3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
VentralBeam3.SetInnerCoreColor(kColor)
VentralBeam3.SetNumSides(6)
VentralBeam3.SetMainRadius(0.040000)
VentralBeam3.SetTaperRadius(0.010000)
VentralBeam3.SetCoreScale(0.800000)
VentralBeam3.SetTaperRatio(0.250000)
VentralBeam3.SetTaperMinLength(5.000000)
VentralBeam3.SetTaperMaxLength(30.000000)
VentralBeam3.SetLengthTextureTilePerUnit(0.500000)
VentralBeam3.SetPerimeterTile(1.000000)
VentralBeam3.SetTextureSpeed(3.000000)
VentralBeam3.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralBeam3)
#################################################
VentralBeam4 = App.PhaserProperty_Create("Ventral Beam 4")

VentralBeam4.SetMaxCondition(1200.000000)
VentralBeam4.SetCritical(0)
VentralBeam4.SetTargetable(1)
VentralBeam4.SetPrimary(1)
VentralBeam4.SetPosition(-7.860810, 8.052680, 8.402050)
VentralBeam4.SetPosition2D(14.000000, 9.000000)
VentralBeam4.SetRepairComplexity(7.000000)
VentralBeam4.SetDisabledPercentage(0.750000)
VentralBeam4.SetRadius(0.250000)
VentralBeam4.SetDumbfire(0)
VentralBeam4.SetWeaponID(1)
VentralBeam4.SetGroups(1)
VentralBeam4.SetDamageRadiusFactor(0.150000)
VentralBeam4.SetIconNum(362)
VentralBeam4.SetIconPositionX(133.000000)
VentralBeam4.SetIconPositionY(64.000000)
VentralBeam4.SetIconAboveShip(1)
VentralBeam4.SetFireSound("Kessok Phaser2")
VentralBeam4.SetMaxCharge(7.000000)
VentralBeam4.SetMaxDamage(600.000000)
VentralBeam4.SetMaxDamageDistance(200.000000)
VentralBeam4.SetMinFiringCharge(4.000000)
VentralBeam4.SetNormalDischargeRate(1.000000)
VentralBeam4.SetRechargeRate(1.000000)
VentralBeam4.SetIndicatorIconNum(509)
VentralBeam4.SetIndicatorIconPositionX(135.000000)
VentralBeam4.SetIndicatorIconPositionY(64.000000)
VentralBeam4Forward = App.TGPoint3()
VentralBeam4Forward.SetXYZ(0.000000, 0.000000, -1.000000)
VentralBeam4Up = App.TGPoint3()
VentralBeam4Up.SetXYZ(-0.707107, 0.707107, 0.000000)
VentralBeam4.SetOrientation(VentralBeam4Forward, VentralBeam4Up)
VentralBeam4.SetWidth(0.010000)
VentralBeam4.SetLength(0.010000)
VentralBeam4.SetArcWidthAngles(-0.610865, 0.610865)
VentralBeam4.SetArcHeightAngles(1.047198, -0.174533)
VentralBeam4.SetPhaserTextureStart(24)
VentralBeam4.SetPhaserTextureEnd(31)
VentralBeam4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
VentralBeam4.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
VentralBeam4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
VentralBeam4.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
VentralBeam4.SetInnerCoreColor(kColor)
VentralBeam4.SetNumSides(6)
VentralBeam4.SetMainRadius(0.040000)
VentralBeam4.SetTaperRadius(0.010000)
VentralBeam4.SetCoreScale(0.800000)
VentralBeam4.SetTaperRatio(0.250000)
VentralBeam4.SetTaperMinLength(5.000000)
VentralBeam4.SetTaperMaxLength(30.000000)
VentralBeam4.SetLengthTextureTilePerUnit(0.500000)
VentralBeam4.SetPerimeterTile(1.000000)
VentralBeam4.SetTextureSpeed(3.000000)
VentralBeam4.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralBeam4)
#################################################
Launcher3 = App.TorpedoTubeProperty_Create("Launcher 3")

Launcher3.SetMaxCondition(2600.000000)
Launcher3.SetCritical(0)
Launcher3.SetTargetable(1)
Launcher3.SetPrimary(1)
Launcher3.SetPosition(11.629900, 0.014965, 10.561500)
Launcher3.SetPosition2D(66.000000, 118.000000)
Launcher3.SetRepairComplexity(3.000000)
Launcher3.SetDisabledPercentage(0.750000)
Launcher3.SetRadius(0.300000)
Launcher3.SetDumbfire(1)
Launcher3.SetWeaponID(1)
Launcher3.SetGroups(1)
Launcher3.SetDamageRadiusFactor(0.300000)
Launcher3.SetIconNum(370)
Launcher3.SetIconPositionX(76.000000)
Launcher3.SetIconPositionY(124.000000)
Launcher3.SetIconAboveShip(1)
Launcher3.SetImmediateDelay(0.250000)
Launcher3.SetReloadDelay(40.000000)
Launcher3.SetMaxReady(2)
Launcher3Direction = App.TGPoint3()
Launcher3Direction.SetXYZ(0.707107, 0.000000, 0.707107)
Launcher3.SetDirection(Launcher3Direction)
Launcher3Right = App.TGPoint3()
Launcher3Right.SetXYZ(1.000000, 0.000000, 0.000000)
Launcher3.SetRight(Launcher3Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher3)
#################################################
Launcher4 = App.TorpedoTubeProperty_Create("Launcher 4")

Launcher4.SetMaxCondition(2600.000000)
Launcher4.SetCritical(0)
Launcher4.SetTargetable(1)
Launcher4.SetPrimary(1)
Launcher4.SetPosition(-0.006259, 11.632700, 10.560100)
Launcher4.SetPosition2D(1.000000, 60.000000)
Launcher4.SetRepairComplexity(3.000000)
Launcher4.SetDisabledPercentage(0.750000)
Launcher4.SetRadius(0.300000)
Launcher4.SetDumbfire(1)
Launcher4.SetWeaponID(1)
Launcher4.SetGroups(1)
Launcher4.SetDamageRadiusFactor(0.300000)
Launcher4.SetIconNum(370)
Launcher4.SetIconPositionX(39.000000)
Launcher4.SetIconPositionY(82.000000)
Launcher4.SetIconAboveShip(1)
Launcher4.SetImmediateDelay(0.250000)
Launcher4.SetReloadDelay(40.000000)
Launcher4.SetMaxReady(2)
Launcher4Direction = App.TGPoint3()
Launcher4Direction.SetXYZ(0.000000, 0.707107, 0.707107)
Launcher4.SetDirection(Launcher4Direction)
Launcher4Right = App.TGPoint3()
Launcher4Right.SetXYZ(1.000000, 0.000000, 0.000000)
Launcher4.SetRight(Launcher4Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(Launcher4)
#################################################
OpsPhaser1 = App.PhaserProperty_Create("Ops Phaser 1")

OpsPhaser1.SetMaxCondition(1200.000000)
OpsPhaser1.SetCritical(0)
OpsPhaser1.SetTargetable(1)
OpsPhaser1.SetPrimary(1)
OpsPhaser1.SetPosition(2.186970, 2.127620, 14.132400)
OpsPhaser1.SetPosition2D(88.000000, 41.000000)
OpsPhaser1.SetRepairComplexity(7.000000)
OpsPhaser1.SetDisabledPercentage(0.750000)
OpsPhaser1.SetRadius(0.250000)
OpsPhaser1.SetDumbfire(0)
OpsPhaser1.SetWeaponID(1)
OpsPhaser1.SetGroups(1)
OpsPhaser1.SetDamageRadiusFactor(0.150000)
OpsPhaser1.SetIconNum(365)
OpsPhaser1.SetIconPositionX(67.000000)
OpsPhaser1.SetIconPositionY(70.000000)
OpsPhaser1.SetIconAboveShip(1)
OpsPhaser1.SetFireSound("Kessok Phaser2")
OpsPhaser1.SetMaxCharge(7.000000)
OpsPhaser1.SetMaxDamage(200.000000)
OpsPhaser1.SetMaxDamageDistance(200.000000)
OpsPhaser1.SetMinFiringCharge(4.000000)
OpsPhaser1.SetNormalDischargeRate(1.000000)
OpsPhaser1.SetRechargeRate(1.000000)
OpsPhaser1.SetIndicatorIconNum(0)
OpsPhaser1.SetIndicatorIconPositionX(68.000000)
OpsPhaser1.SetIndicatorIconPositionY(96.000000)
OpsPhaser1Forward = App.TGPoint3()
OpsPhaser1Forward.SetXYZ(0.707107, 0.707107, 0.000000)
OpsPhaser1Up = App.TGPoint3()
OpsPhaser1Up.SetXYZ(0.000000, 0.000000, 1.000000)
OpsPhaser1.SetOrientation(OpsPhaser1Forward, OpsPhaser1Up)
OpsPhaser1.SetWidth(0.010000)
OpsPhaser1.SetLength(0.010000)
OpsPhaser1.SetArcWidthAngles(-0.261799, 0.261799)
OpsPhaser1.SetArcHeightAngles(0.000000, 1.396263)
OpsPhaser1.SetPhaserTextureStart(24)
OpsPhaser1.SetPhaserTextureEnd(31)
OpsPhaser1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
OpsPhaser1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
OpsPhaser1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
OpsPhaser1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
OpsPhaser1.SetInnerCoreColor(kColor)
OpsPhaser1.SetNumSides(6)
OpsPhaser1.SetMainRadius(0.040000)
OpsPhaser1.SetTaperRadius(0.010000)
OpsPhaser1.SetCoreScale(0.800000)
OpsPhaser1.SetTaperRatio(0.250000)
OpsPhaser1.SetTaperMinLength(5.000000)
OpsPhaser1.SetTaperMaxLength(30.000000)
OpsPhaser1.SetLengthTextureTilePerUnit(0.500000)
OpsPhaser1.SetPerimeterTile(1.000000)
OpsPhaser1.SetTextureSpeed(3.000000)
OpsPhaser1.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(OpsPhaser1)
#################################################
OpsPhaser2 = App.PhaserProperty_Create("Ops Phaser 2")

OpsPhaser2.SetMaxCondition(1200.000000)
OpsPhaser2.SetCritical(0)
OpsPhaser2.SetTargetable(1)
OpsPhaser2.SetPrimary(1)
OpsPhaser2.SetPosition(-2.168560, 2.150040, 14.130000)
OpsPhaser2.SetPosition2D(89.000000, 77.000000)
OpsPhaser2.SetRepairComplexity(7.000000)
OpsPhaser2.SetDisabledPercentage(0.750000)
OpsPhaser2.SetRadius(0.250000)
OpsPhaser2.SetDumbfire(0)
OpsPhaser2.SetWeaponID(1)
OpsPhaser2.SetGroups(1)
OpsPhaser2.SetDamageRadiusFactor(0.150000)
OpsPhaser2.SetIconNum(365)
OpsPhaser2.SetIconPositionX(88.000000)
OpsPhaser2.SetIconPositionY(69.000000)
OpsPhaser2.SetIconAboveShip(1)
OpsPhaser2.SetFireSound("Kessok Phaser2")
OpsPhaser2.SetMaxCharge(7.000000)
OpsPhaser2.SetMaxDamage(200.000000)
OpsPhaser2.SetMaxDamageDistance(200.000000)
OpsPhaser2.SetMinFiringCharge(4.000000)
OpsPhaser2.SetNormalDischargeRate(1.000000)
OpsPhaser2.SetRechargeRate(1.000000)
OpsPhaser2.SetIndicatorIconNum(0)
OpsPhaser2.SetIndicatorIconPositionX(68.000000)
OpsPhaser2.SetIndicatorIconPositionY(96.000000)
OpsPhaser2Forward = App.TGPoint3()
OpsPhaser2Forward.SetXYZ(-0.707107, 0.707107, 0.000000)
OpsPhaser2Up = App.TGPoint3()
OpsPhaser2Up.SetXYZ(0.000000, 0.000000, 1.000000)
OpsPhaser2.SetOrientation(OpsPhaser2Forward, OpsPhaser2Up)
OpsPhaser2.SetWidth(0.010000)
OpsPhaser2.SetLength(0.010000)
OpsPhaser2.SetArcWidthAngles(-0.261799, 0.261799)
OpsPhaser2.SetArcHeightAngles(0.000000, 1.396263)
OpsPhaser2.SetPhaserTextureStart(24)
OpsPhaser2.SetPhaserTextureEnd(31)
OpsPhaser2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
OpsPhaser2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
OpsPhaser2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
OpsPhaser2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
OpsPhaser2.SetInnerCoreColor(kColor)
OpsPhaser2.SetNumSides(6)
OpsPhaser2.SetMainRadius(0.040000)
OpsPhaser2.SetTaperRadius(0.010000)
OpsPhaser2.SetCoreScale(0.800000)
OpsPhaser2.SetTaperRatio(0.250000)
OpsPhaser2.SetTaperMinLength(5.000000)
OpsPhaser2.SetTaperMaxLength(30.000000)
OpsPhaser2.SetLengthTextureTilePerUnit(0.500000)
OpsPhaser2.SetPerimeterTile(1.000000)
OpsPhaser2.SetTextureSpeed(3.000000)
OpsPhaser2.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(OpsPhaser2)
#################################################
OpsPhaser3 = App.PhaserProperty_Create("Ops Phaser 3")

OpsPhaser3.SetMaxCondition(1200.000000)
OpsPhaser3.SetCritical(0)
OpsPhaser3.SetTargetable(1)
OpsPhaser3.SetPrimary(1)
OpsPhaser3.SetPosition(-2.152960, -2.166160, 14.170400)
OpsPhaser3.SetPosition2D(42.000000, 76.000000)
OpsPhaser3.SetRepairComplexity(7.000000)
OpsPhaser3.SetDisabledPercentage(0.750000)
OpsPhaser3.SetRadius(0.250000)
OpsPhaser3.SetDumbfire(0)
OpsPhaser3.SetWeaponID(1)
OpsPhaser3.SetGroups(1)
OpsPhaser3.SetDamageRadiusFactor(0.150000)
OpsPhaser3.SetIconNum(366)
OpsPhaser3.SetIconPositionX(90.000000)
OpsPhaser3.SetIconPositionY(92.000000)
OpsPhaser3.SetIconAboveShip(1)
OpsPhaser3.SetFireSound("Kessok Phaser2")
OpsPhaser3.SetMaxCharge(7.000000)
OpsPhaser3.SetMaxDamage(200.000000)
OpsPhaser3.SetMaxDamageDistance(200.000000)
OpsPhaser3.SetMinFiringCharge(4.000000)
OpsPhaser3.SetNormalDischargeRate(1.000000)
OpsPhaser3.SetRechargeRate(1.000000)
OpsPhaser3.SetIndicatorIconNum(0)
OpsPhaser3.SetIndicatorIconPositionX(-1.000000)
OpsPhaser3.SetIndicatorIconPositionY(23.000000)
OpsPhaser3Forward = App.TGPoint3()
OpsPhaser3Forward.SetXYZ(-0.707107, -0.707107, 0.000000)
OpsPhaser3Up = App.TGPoint3()
OpsPhaser3Up.SetXYZ(0.000000, 0.000000, 1.000000)
OpsPhaser3.SetOrientation(OpsPhaser3Forward, OpsPhaser3Up)
OpsPhaser3.SetWidth(0.010000)
OpsPhaser3.SetLength(0.010000)
OpsPhaser3.SetArcWidthAngles(-0.261799, 0.261799)
OpsPhaser3.SetArcHeightAngles(0.000000, 1.396263)
OpsPhaser3.SetPhaserTextureStart(24)
OpsPhaser3.SetPhaserTextureEnd(31)
OpsPhaser3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
OpsPhaser3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
OpsPhaser3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
OpsPhaser3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
OpsPhaser3.SetInnerCoreColor(kColor)
OpsPhaser3.SetNumSides(6)
OpsPhaser3.SetMainRadius(0.040000)
OpsPhaser3.SetTaperRadius(0.010000)
OpsPhaser3.SetCoreScale(0.800000)
OpsPhaser3.SetTaperRatio(0.250000)
OpsPhaser3.SetTaperMinLength(5.000000)
OpsPhaser3.SetTaperMaxLength(30.000000)
OpsPhaser3.SetLengthTextureTilePerUnit(0.500000)
OpsPhaser3.SetPerimeterTile(1.000000)
OpsPhaser3.SetTextureSpeed(3.000000)
OpsPhaser3.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(OpsPhaser3)
#################################################
OpsPhaser4 = App.PhaserProperty_Create("Ops Phaser 4")

OpsPhaser4.SetMaxCondition(1200.000000)
OpsPhaser4.SetCritical(0)
OpsPhaser4.SetTargetable(1)
OpsPhaser4.SetPrimary(1)
OpsPhaser4.SetPosition(2.135450, -2.180520, 14.140900)
OpsPhaser4.SetPosition2D(45.000000, 41.000000)
OpsPhaser4.SetRepairComplexity(7.000000)
OpsPhaser4.SetDisabledPercentage(0.750000)
OpsPhaser4.SetRadius(0.250000)
OpsPhaser4.SetDumbfire(0)
OpsPhaser4.SetWeaponID(1)
OpsPhaser4.SetGroups(1)
OpsPhaser4.SetDamageRadiusFactor(0.150000)
OpsPhaser4.SetIconNum(366)
OpsPhaser4.SetIconPositionX(66.000000)
OpsPhaser4.SetIconPositionY(92.000000)
OpsPhaser4.SetIconAboveShip(1)
OpsPhaser4.SetFireSound("Kessok Phaser2")
OpsPhaser4.SetMaxCharge(7.000000)
OpsPhaser4.SetMaxDamage(200.000000)
OpsPhaser4.SetMaxDamageDistance(200.000000)
OpsPhaser4.SetMinFiringCharge(4.000000)
OpsPhaser4.SetNormalDischargeRate(1.000000)
OpsPhaser4.SetRechargeRate(1.000000)
OpsPhaser4.SetIndicatorIconNum(0)
OpsPhaser4.SetIndicatorIconPositionX(-1.000000)
OpsPhaser4.SetIndicatorIconPositionY(33.000000)
OpsPhaser4Forward = App.TGPoint3()
OpsPhaser4Forward.SetXYZ(0.707107, -0.707107, 0.000000)
OpsPhaser4Up = App.TGPoint3()
OpsPhaser4Up.SetXYZ(0.000000, 0.000000, 1.000000)
OpsPhaser4.SetOrientation(OpsPhaser4Forward, OpsPhaser4Up)
OpsPhaser4.SetWidth(0.010000)
OpsPhaser4.SetLength(0.010000)
OpsPhaser4.SetArcWidthAngles(-0.261799, 0.261799)
OpsPhaser4.SetArcHeightAngles(0.000000, 1.396263)
OpsPhaser4.SetPhaserTextureStart(24)
OpsPhaser4.SetPhaserTextureEnd(31)
OpsPhaser4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
OpsPhaser4.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
OpsPhaser4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
OpsPhaser4.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
OpsPhaser4.SetInnerCoreColor(kColor)
OpsPhaser4.SetNumSides(6)
OpsPhaser4.SetMainRadius(0.040000)
OpsPhaser4.SetTaperRadius(0.010000)
OpsPhaser4.SetCoreScale(0.800000)
OpsPhaser4.SetTaperRatio(0.250000)
OpsPhaser4.SetTaperMinLength(5.000000)
OpsPhaser4.SetTaperMaxLength(30.000000)
OpsPhaser4.SetLengthTextureTilePerUnit(0.500000)
OpsPhaser4.SetPerimeterTile(1.000000)
OpsPhaser4.SetTextureSpeed(3.000000)
OpsPhaser4.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(OpsPhaser4)
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(87500.000000)
Hull.SetCritical(1)
Hull.SetTargetable(1)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.000000, 0.000000)
Hull.SetPosition2D(63.000000, 72.000000)
Hull.SetRepairComplexity(1.000000)
Hull.SetDisabledPercentage(0.000000)
Hull.SetRadius(5.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(30000.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, 0.000000, 12.000000)
ShieldGenerator.SetPosition2D(63.000000, 63.000000)
ShieldGenerator.SetRepairComplexity(2.000000)
ShieldGenerator.SetDisabledPercentage(0.750000)
ShieldGenerator.SetRadius(3.000000)
ShieldGenerator.SetNormalPowerPerSecond(600.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.294118, 0.184314, 0.811765, 0.466667)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 35000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 35000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 35000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 35000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 35000.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 35000.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 20.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 20.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 20.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 20.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 20.000000)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 20.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
SensorArray = App.SensorProperty_Create("Sensor Array")

SensorArray.SetMaxCondition(12000.000000)
SensorArray.SetCritical(0)
SensorArray.SetTargetable(1)
SensorArray.SetPrimary(1)
SensorArray.SetPosition(6.750000, 0.000000, 3.500000)
SensorArray.SetPosition2D(63.000000, 13.000000)
SensorArray.SetRepairComplexity(1.000000)
SensorArray.SetDisabledPercentage(0.500000)
SensorArray.SetRadius(0.500000)
SensorArray.SetNormalPowerPerSecond(200.000000)
SensorArray.SetBaseSensorRange(10000.000000)
SensorArray.SetMaxProbes(10)
App.g_kModelPropertyManager.RegisterLocalTemplate(SensorArray)
#################################################
DockingPort = App.ObjectEmitterProperty_Create("Docking Port")

DockingPortForward = App.TGPoint3()
DockingPortForward.SetXYZ(0.000000, -1.000000, 0.000000)
DockingPortUp = App.TGPoint3()
DockingPortUp.SetXYZ(0.000000, 0.000000, 1.000000)
DockingPortRight = App.TGPoint3()
DockingPortRight.SetXYZ(1.000000, 0.000000, 0.000000)
DockingPort.SetOrientation(DockingPortForward, DockingPortUp, DockingPortRight)
DockingPortPosition = App.TGPoint3()
DockingPortPosition.SetXYZ(0.000000, -16.000000, 9.000000)
DockingPort.SetPosition(DockingPortPosition)
DockingPort.SetEmittedObjectType(DockingPort.OEP_UNKNOWN)
App.g_kModelPropertyManager.RegisterLocalTemplate(DockingPort)
#################################################
DockingEntryStart = App.PositionOrientationProperty_Create("Docking Entry Start")

DockingEntryStartForward = App.TGPoint3()
DockingEntryStartForward.SetXYZ(0.000000, -1.000000, 0.000000)
DockingEntryStartUp = App.TGPoint3()
DockingEntryStartUp.SetXYZ(0.000000, 0.000000, 1.000000)
DockingEntryStartRight = App.TGPoint3()
DockingEntryStartRight.SetXYZ(1.000000, 0.000000, 0.000000)
DockingEntryStart.SetOrientation(DockingEntryStartForward, DockingEntryStartUp, DockingEntryStartRight)
DockingEntryStartPosition = App.TGPoint3()
DockingEntryStartPosition.SetXYZ(0.000000, -27.000000, 9.000000)
DockingEntryStart.SetPosition(DockingEntryStartPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(DockingEntryStart)
#################################################
DockingEntryEnd = App.PositionOrientationProperty_Create("Docking Entry End")

DockingEntryEndForward = App.TGPoint3()
DockingEntryEndForward.SetXYZ(0.000000, -1.000000, 0.000000)
DockingEntryEndUp = App.TGPoint3()
DockingEntryEndUp.SetXYZ(0.000000, 0.000000, 1.000000)
DockingEntryEndRight = App.TGPoint3()
DockingEntryEndRight.SetXYZ(1.000000, 0.000000, 0.000000)
DockingEntryEnd.SetOrientation(DockingEntryEndForward, DockingEntryEndUp, DockingEntryEndRight)
DockingEntryEndPosition = App.TGPoint3()
DockingEntryEndPosition.SetXYZ(0.000000, -17.000000, 9.000000)
DockingEntryEnd.SetPosition(DockingEntryEndPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(DockingEntryEnd)
#################################################
DockingExitStart = App.PositionOrientationProperty_Create("Docking Exit Start")

DockingExitStartForward = App.TGPoint3()
DockingExitStartForward.SetXYZ(0.000000, -1.000000, 0.000000)
DockingExitStartUp = App.TGPoint3()
DockingExitStartUp.SetXYZ(0.000000, 0.000000, 1.000000)
DockingExitStartRight = App.TGPoint3()
DockingExitStartRight.SetXYZ(1.000000, 0.000000, 0.000000)
DockingExitStart.SetOrientation(DockingExitStartForward, DockingExitStartUp, DockingExitStartRight)
DockingExitStartPosition = App.TGPoint3()
DockingExitStartPosition.SetXYZ(0.000000, -17.000000, 9.000000)
DockingExitStart.SetPosition(DockingExitStartPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(DockingExitStart)
#################################################
DockingExitEnd = App.PositionOrientationProperty_Create("Docking Exit End")

DockingExitEndForward = App.TGPoint3()
DockingExitEndForward.SetXYZ(0.000000, -1.000000, 0.000000)
DockingExitEndUp = App.TGPoint3()
DockingExitEndUp.SetXYZ(0.000000, 0.000000, 1.000000)
DockingExitEndRight = App.TGPoint3()
DockingExitEndRight.SetXYZ(1.000000, 0.000000, 0.000000)
DockingExitEnd.SetOrientation(DockingExitEndForward, DockingExitEndUp, DockingExitEndRight)
DockingExitEndPosition = App.TGPoint3()
DockingExitEndPosition.SetXYZ(0.000000, -27.000000, 9.000000)
DockingExitEnd.SetPosition(DockingExitEndPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(DockingExitEnd)
#################################################
DockingCameraSweep1 = App.PositionOrientationProperty_Create("DockingCameraSweep1")

DockingCameraSweep1Forward = App.TGPoint3()
DockingCameraSweep1Forward.SetXYZ(0.000000, -1.000000, 0.000000)
DockingCameraSweep1Up = App.TGPoint3()
DockingCameraSweep1Up.SetXYZ(0.000000, 0.000000, 1.000000)
DockingCameraSweep1Right = App.TGPoint3()
DockingCameraSweep1Right.SetXYZ(1.000000, 0.000000, 0.000000)
DockingCameraSweep1.SetOrientation(DockingCameraSweep1Forward, DockingCameraSweep1Up, DockingCameraSweep1Right)
DockingCameraSweep1Position = App.TGPoint3()
DockingCameraSweep1Position.SetXYZ(0.000000, 0.000000, 17.000000)
DockingCameraSweep1.SetPosition(DockingCameraSweep1Position)
App.g_kModelPropertyManager.RegisterLocalTemplate(DockingCameraSweep1)
#################################################
DockedCameraSweep1 = App.PositionOrientationProperty_Create("DockedCameraSweep1")

DockedCameraSweep1Forward = App.TGPoint3()
DockedCameraSweep1Forward.SetXYZ(0.000000, -1.000000, 0.000000)
DockedCameraSweep1Up = App.TGPoint3()
DockedCameraSweep1Up.SetXYZ(0.000000, 0.000000, 1.000000)
DockedCameraSweep1Right = App.TGPoint3()
DockedCameraSweep1Right.SetXYZ(1.000000, 0.000000, 0.000000)
DockedCameraSweep1.SetOrientation(DockedCameraSweep1Forward, DockedCameraSweep1Up, DockedCameraSweep1Right)
DockedCameraSweep1Position = App.TGPoint3()
DockedCameraSweep1Position.SetXYZ(0.000000, 0.000000, 17.000000)
DockedCameraSweep1.SetPosition(DockedCameraSweep1Position)
App.g_kModelPropertyManager.RegisterLocalTemplate(DockedCameraSweep1)
#################################################
UndockingCameraSweep1 = App.PositionOrientationProperty_Create("UndockingCameraSweep1")

UndockingCameraSweep1Forward = App.TGPoint3()
UndockingCameraSweep1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
UndockingCameraSweep1Up = App.TGPoint3()
UndockingCameraSweep1Up.SetXYZ(0.000000, 0.000000, 1.000000)
UndockingCameraSweep1Right = App.TGPoint3()
UndockingCameraSweep1Right.SetXYZ(1.000000, 0.000000, 0.000000)
UndockingCameraSweep1.SetOrientation(UndockingCameraSweep1Forward, UndockingCameraSweep1Up, UndockingCameraSweep1Right)
UndockingCameraSweep1Position = App.TGPoint3()
UndockingCameraSweep1Position.SetXYZ(0.000000, -30.000000, 9.000000)
UndockingCameraSweep1.SetPosition(UndockingCameraSweep1Position)
App.g_kModelPropertyManager.RegisterLocalTemplate(UndockingCameraSweep1)
#################################################
PylonLowerBeam = App.PhaserProperty_Create("Pylon Lower Beam")

PylonLowerBeam.SetMaxCondition(1200.000000)
PylonLowerBeam.SetCritical(0)
PylonLowerBeam.SetTargetable(1)
PylonLowerBeam.SetPrimary(1)
PylonLowerBeam.SetPosition(0.000000, 0.000000, -13.027600)
PylonLowerBeam.SetPosition2D(91.000000, 60.000000)
PylonLowerBeam.SetRepairComplexity(7.000000)
PylonLowerBeam.SetDisabledPercentage(0.750000)
PylonLowerBeam.SetRadius(0.250000)
PylonLowerBeam.SetDumbfire(0)
PylonLowerBeam.SetWeaponID(1)
PylonLowerBeam.SetGroups(1)
PylonLowerBeam.SetDamageRadiusFactor(0.150000)
PylonLowerBeam.SetIconNum(365)
PylonLowerBeam.SetIconPositionX(119.000000)
PylonLowerBeam.SetIconPositionY(114.000000)
PylonLowerBeam.SetIconAboveShip(1)
PylonLowerBeam.SetFireSound("Kessok Phaser2")
PylonLowerBeam.SetMaxCharge(7.000000)
PylonLowerBeam.SetMaxDamage(500.000000)
PylonLowerBeam.SetMaxDamageDistance(200.000000)
PylonLowerBeam.SetMinFiringCharge(4.000000)
PylonLowerBeam.SetNormalDischargeRate(1.000000)
PylonLowerBeam.SetRechargeRate(1.000000)
PylonLowerBeam.SetIndicatorIconNum(0)
PylonLowerBeam.SetIndicatorIconPositionX(135.000000)
PylonLowerBeam.SetIndicatorIconPositionY(64.000000)
PylonLowerBeamForward = App.TGPoint3()
PylonLowerBeamForward.SetXYZ(0.000000, 0.000000, -1.000000)
PylonLowerBeamUp = App.TGPoint3()
PylonLowerBeamUp.SetXYZ(-0.707107, 0.707107, 0.000000)
PylonLowerBeam.SetOrientation(PylonLowerBeamForward, PylonLowerBeamUp)
PylonLowerBeam.SetWidth(0.010000)
PylonLowerBeam.SetLength(0.010000)
PylonLowerBeam.SetArcWidthAngles(-0.261799, 0.261799)
PylonLowerBeam.SetArcHeightAngles(0.261799, -0.261799)
PylonLowerBeam.SetPhaserTextureStart(24)
PylonLowerBeam.SetPhaserTextureEnd(31)
PylonLowerBeam.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 0.000000, 1.000000, 0.329412)
PylonLowerBeam.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 0.501961, 1.000000, 0.419608)
PylonLowerBeam.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 1.000000, 0.749020)
PylonLowerBeam.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 1.000000, 0.784314)
PylonLowerBeam.SetInnerCoreColor(kColor)
PylonLowerBeam.SetNumSides(6)
PylonLowerBeam.SetMainRadius(0.040000)
PylonLowerBeam.SetTaperRadius(0.010000)
PylonLowerBeam.SetCoreScale(0.800000)
PylonLowerBeam.SetTaperRatio(0.250000)
PylonLowerBeam.SetTaperMinLength(5.000000)
PylonLowerBeam.SetTaperMaxLength(30.000000)
PylonLowerBeam.SetLengthTextureTilePerUnit(0.500000)
PylonLowerBeam.SetPerimeterTile(1.000000)
PylonLowerBeam.SetTextureSpeed(3.000000)
PylonLowerBeam.SetTextureName("data/CAKessok.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PylonLowerBeam)

# Property Set
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Positron Beams", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedoes", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Repair System", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor Array", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Claw 1 Beam 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Claw 1 Beam 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Claw 2 Beam 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Claw 2 Beam 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Claw 3 Beam 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Claw 3 Beam 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cloaking Device", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Claw 4 Beam 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Claw 4 Beam 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPersonCamera", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractor System", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Reactor Core", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Tractor Beam", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("KessokStation", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Beam 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Beam 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Beam 3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Beam 4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Launcher 4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ops Phaser 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ops Phaser 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ops Phaser 3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ops Phaser 4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Docking Port", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Docking Entry Start", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Docking Entry End", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Docking Exit Start", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Docking Exit End", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("DockingCameraSweep1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("DockedCameraSweep1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("UndockingCameraSweep1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Pylon Lower Beam", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
